package net.java.dev.esjug.tutorialstruts2.controller;

import java.util.Map;
import java.util.Set;
import java.util.TreeMap;

import net.java.dev.esjug.tutorialstruts2.util.AplEfetuarCompra;
import net.java.dev.esjug.tutorialstruts2.util.CarrinhoCompras;

import com.opensymphony.xwork2.ActionSupport;
import com.opensymphony.xwork2.Preparable;

public class ComprarAction extends ActionSupport implements Preparable {
	private AplEfetuarCompra aplEfetuarCompra;
	private CarrinhoCompras carrinhoCompras;
	private Map<String, String> itens = new TreeMap<String, String>();
	private String item;

	@Override
	public void prepare() throws Exception {
		itens.put("Teclado", "Teclado");
		itens.put("Mouse", "Mouse");
		itens.put("Monitor", "Monitor");
		itens.put("Caixa de Som", "Caixa de Som");
	}

	public void setCarrinhoCompras(CarrinhoCompras carrinhoCompras) {
		this.carrinhoCompras = carrinhoCompras;
	}

	public void setAplEfetuarCompra(AplEfetuarCompra aplEfetuarCompra) {
		this.aplEfetuarCompra = aplEfetuarCompra;
	}

	public void setItem(String item) {
		this.item = item;
	}
	
	public Set<String> getProdutos() {
		return carrinhoCompras.getProdutos();
	}

	public Map<String, String> getItens() {
		return itens;
	}

	public String execute() throws Exception {
		aplEfetuarCompra.adicionarAoCarrinho(carrinhoCompras, item);
		return INPUT;
	}
}
