package net.java.dev.esjug.tutorialstruts2.util;

/**
 * Esta classe faz parte do Tutorial WebWork, versão 2.2.2.
 * 
 * @author Vítor Souza (vitorsouza@gmail.com)
 */
public class Funcionario {
	/** Constante: funcionário tipo desenvolvedor. */
	public static final int TIPO_DESENVOLVEDOR = 1;
	
	/** Constante: funcionário tipo gerente. */
	public static final int TIPO_GERENTE = 2;

	/** Constante: funcionário tipo diretor. */
	public static final int TIPO_DIRETOR = 3;
	
	/** Nome. */
	private String nome;
	
	/** Login de identificação. */
	private String login;
	
	/** Senha de acesso. */
	private String senha;
	
	/** Tipo de funcionário. */
	private int tipo;
	
	/** Construtor. */
	public Funcionario() { }

	/** Construtor. */
	public Funcionario(String nome, String login, String senha, int tipo) {
		this.login = login;
		this.nome = nome;
		this.senha = senha;
		this.tipo = tipo;
	}

	/** Getter for login. */
	public String getLogin() {
		return login;
	}

	/** Setter for login. */
	public void setLogin(String login) {
		this.login = login;
	}

	/** Getter for nome. */
	public String getNome() {
		return nome;
	}

	/** Setter for nome. */
	public void setNome(String nome) {
		this.nome = nome;
	}

	/** Getter for senha. */
	public String getSenha() {
		return senha;
	}

	/** Setter for senha. */
	public void setSenha(String senha) {
		this.senha = senha;
	}

	/** Getter for tipo. */
	public int getTipo() {
		return tipo;
	}

	/** Setter for tipo. */
	public void setTipo(int tipo) {
		this.tipo = tipo;
	}
}
