<?xml version="1.0" encoding="UTF-8" ?>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<title>Tutorial Struts2</title>
	<style type="text/css">
		body { font-size: 16pt; }
		h1 { font-size: 20pt; }
	</style>
</head>
<body>

<h1>Tutorial Struts2</h1>

<h2>Form Tags:</h2>

<s:form action="">
	<s:label label="Um Label" name="testeLabel" value="%{valorFixo}" />
	
	<s:textfield label="Um TextField" name="testeTextfield" value="%{valorFixo}" size="50" />
	<s:textfield label="Um TextField Obrigatório" name="testeTextfieldObrigatorio" size="30" required="true" />

	<s:file label="Um Campo File" name="testeFile" size="30" />

	<s:password label="Um Password" name="testePassword" size="30" />

	<s:checkbox label="Um Checkbox" name="testeCheckbox" fieldValue="valor" />

	<s:checkboxlist label="Vários Checkboxes" name="testeCheckboxList" list="%{mapa}" listKey="key" listValue="value" />

	<s:radio label="Radio Buttons" name="testeRadio" value="1" list="%{mapa}" listKey="key" listValue="value" />

	<s:select label="Um Select (Lista)" name="testeSelect01" list="%{lista}" size="'5'" />

	<s:select label="Um Select (Combo)" name="testeSelect02" list="%{lista}" emptyOption="true" />

	<s:textarea rows="10" cols="30" label="Uma TextArea" name="testeTextArea" value="%{valorFixo}" />

	<s:hidden name="testeHidden" value="%{valorFixo}" />

	<s:submit value="Enviar!" align="right" />
</s:form>

<h2>Componente customizado:</h2>

<p><s:component template="data.ftl" theme="meutema">
	<s:param name="name" value="'campoData'" />
	<s:param name="label" value="'Componente Campo Data'" />
</s:component></p>



<h2>Manipulação da Pilha de Valores:</h2>

<ul>
	<li>valorInt: <s:property value="valorInt" /></li>
	<li>valorFloat: <s:property value="valorFloat" /></li>
	<li>valorBoolean: <s:property value="valorBoolean" /></li>
	<li>valorDate: <s:property value="valorDate" /></li>
	<li>valorArray[0]: <s:property value="valorArray[0]" /></li>
	<li>valorArray[1]: <s:property value="valorArray[1]" /></li>
	<li>valorArray[2]: <s:property value="valorArray[2]" /></li>
</ul>

<p>Criando variável #varTeste com valor &quot;Teste&quot; e imprimindo-a:
<s:set name="varTeste" value="'Teste'" />
<s:property value="#varTeste" /></p>



<h2>Codificação de URLs:</h2>

<p>URL codificada por &lt;s:url /&gt;:<br />
<s:url id="urlLogin" namespace="/passo04" action="login">
	<s:param name="login">james</s:param>
	<s:param name="senha">james</s:param>
	<s:param name="i" value="valorInt" />
</s:url>
<s:a href="%{urlLogin}"><s:property value="urlLogin" /></s:a>
</p>



<h2>Chamada de Actions internamente à uma página:</h2>

<s:action name="sub" id="sub">
  <s:param name="valor" value="100" />
</s:action>
<p>O dobro de 100 é: <s:property value="%{#sub.valor}" /></p>



<h2>Criação de Beans:</h2>

<p>Lista de 1 a 2000 montada usando &lt;s:bean /&gt; e a classe de utilitário Counter (Struts<sup>2</sup>) -&gt;
<s:bean name="org.apache.struts2.util.Counter" id="count">
  <s:param name="first" value="1"/>
  <s:param name="last" value="2000"/>
  <s:select name="lista" list="%{#count}" theme="simple" />
</s:bean></p>



<h2>Inclusão de páginas:</h2>

<p>Include: &quot;<s:include value="paginaInclude.htm" />&quot;</p>



<h2>Controle de Fluxo:</h2>

<p>
<s:if test="valorInt > 0">valorInt é positivo.</s:if>
<s:elseif test="valorInt < 0">valorInt é negativo.</s:elseif>
<s:else>valorInt é zero.</s:else>
</p>



<h2>Iteração:</h2>

<p>Itens em lista:<br />
<s:iterator value="%{lista}">
-&gt; <s:property/><br />
</s:iterator>
</p>

</body>
</html>