package net.java.dev.esjug.tutorialstruts2.controller;

import java.util.Map;
import java.util.TreeMap;

import net.java.dev.esjug.tutorialstruts2.util.ControleCadastro;
import net.java.dev.esjug.tutorialstruts2.util.Funcionario;

import com.opensymphony.xwork2.ActionSupport;

public class CadastrarAction extends ActionSupport {
	private Long id;
	private Funcionario funcionario = new Funcionario();
	private static Map<Integer, String> mapaTipos = new TreeMap<Integer, String>();
	static {
		mapaTipos.put(Funcionario.TIPO_DESENVOLVEDOR, "Desenvolvedor");
		mapaTipos.put(Funcionario.TIPO_DIRETOR, "Diretor");
		mapaTipos.put(Funcionario.TIPO_GERENTE, "Gerente");
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Funcionario getFuncionario() {
		return funcionario;
	}

	public static Map<Integer, String> getMapaTipos() {
		return mapaTipos;
	}

	public String execute() throws Exception {
		id = ControleCadastro.gravarFuncionario(funcionario);
		return SUCCESS;
	}
}
