package net.java.dev.esjug.tutorialstruts2.util;

import java.util.Calendar;
import java.util.Date;

/**
 * Esta classe faz parte do Tutorial WebWork, versão 2.2.2.
 * 
 * @author Vítor Souza (vitorsouza@gmail.com)
 */
public class DateUtils {
	public static int calculateYearDifference(Date a, Date b) {
		int tempDifference = 0;
		int difference = 0;
		Calendar earlier = Calendar.getInstance();
		Calendar later = Calendar.getInstance();

		// Define qual data veio primeiro.
		if (a.compareTo(b) < 0) {
			earlier.setTime(a);
			later.setTime(b);
		}
		else {
			earlier.setTime(b);
			later.setTime(a);
		}

		// Iguala os anos dos calendários.
		if (earlier.get(Calendar.YEAR) != later.get(Calendar.YEAR)) {
			tempDifference = later.get(Calendar.YEAR) - earlier.get(Calendar.YEAR);
			difference += tempDifference;

			earlier.add(Calendar.YEAR, tempDifference);
		}

		// Se a data 'later' não "completa o ano", diminui 1 na contagem.
		if (earlier.get(Calendar.DAY_OF_YEAR) > later.get(Calendar.DAY_OF_YEAR)) difference--;

		return difference;
	}
}
